
package de.ivu.elect.presentation.gebietsbaum.exchange;

import java.io.Serializable;

import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.control.GebietsbaumExchangeContext;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;

/**
 * Vererbungshierarchie und @Named widersprechen sich bei JBoss 7 und Wildfly, daher diese Klasse
 */
public class GebietImportBestaetigenViewFormBuilder implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WurzelgebietExchangeFilterViewFormBuilder wurzelgebietExchangeFilterViewFormBuilder;

  public GebietImportBestaetigenViewFormBuilder() {
    super();
  }

  public boolean isBtnImportierenDisabled() {
    return false;
  }

  public void addProperties(FormBuilder formBuilder, GebietsbaumExchangeContext context) {
    wurzelgebietExchangeFilterViewFormBuilder.addProperties(formBuilder, context.getWurzelgebietFilter());
  }
}
